:root {
  --almost-black: #333333;
  --post-it-blue: #1dace6;
  --post-it-orange: #fbae3c;
  --post-it-pink: #fd4db0;
  --post-it-yellow: #e7f150;
  --almost-white: #fefefe;
  --standard-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);
}

html {
  font-size: 12px;
  font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
}

body {
  background-color: var(--almost-white);
  margin: 0;
}

header {
  background-color: var(--post-it-blue);
  color: var(--almost-black);

  display: flex;
  justify-content: center;
  align-items: center;

  box-shadow: var(--standard-shadow);
  padding: 2rem;
}

header > h1 {
  font-size: 3rem;
}

main {
  padding: 2rem;
}

footer {
  background-color:var(--almost-black);
  color: whitesmoke;

  display: flex;
  justify-content: center;
  align-items: center;

  padding: 2rem;
}

footer > p {
  font-size: 1.5rem;
}

/* Form elements style */

#formSection {
  display: flex;
  justify-content: center;
  align-items: center;
}

.formWrapper {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;

  background-color: whitesmoke;
  border-radius: 1rem;

  box-shadow: var(--standard-shadow);
  padding: 2rem;
  width: max-content;
}

.formWrapper > form {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

button {
  background-color: var(--post-it-blue);
  color: var(--almost-white);

  border: 1px solid transparent;
  border-radius: 0.5rem;
  
  cursor: pointer;
  font-size: 1.25rem;
  font-weight: bold;

  padding: 1rem;
}

button:hover {
  background-color: var(--almost-white);
  color: var(--post-it-blue);

  border: 1px solid var(--post-it-blue);
}

label {
  font-size: 1.25rem;
  margin-bottom: 0.5rem;
}

input {
  background-color: var(--almost-white);
  color: var(--almost-black);

  border: 0;
  border-radius: 9999px;
  box-shadow: var(--standard-shadow);
  font-size: 1.25rem;

  margin-bottom: 0.5rem;
  padding: 1rem;
}

input:last-child {
  margin-bottom: 0rem;
}

/* Board & Post Its */

#board {
  display: flex;
  justify-content: center;
  flex-flow: row wrap;
  align-items: center;

  padding: 1rem;
  width: 100%;
}

.post-it {
  height: 24rem;
  width: 24rem;

  display: flex;
  flex-direction: column;
  align-items: center;

  box-shadow: var(--standard-shadow);
  padding: 1rem;
  margin: 0.5rem;
  text-overflow: ellipsis;
}

.post-it > h2 {
  font-size: 2rem;
  margin: 0;
  padding-bottom: 1rem;
  text-overflow: ellipsis;

  width: 100%;
}

.post-it > p {
  font-size: 1.25rem;
  margin: 0;
  text-overflow: ellipsis;

  width: 100%;
}

.blue {
  background-color: var(--post-it-blue);
}

.pink {
  background-color: var(--post-it-pink);
}

.orange {
  background-color: var(--post-it-orange);
}

.yellow {
  background-color: var(--post-it-yellow);
}